HostConfig.DeployedApplication (Tomcat API Documentation)
Keywords: org.apache.catalina.startup.HostConfig.DeployedApplication class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.startup
Class HostConfig.DeployedApplication

    java.lang.Object
      org.apache.catalina.startup.HostConfig.DeployedApplication

Enclosing class:
  HostConfig

    protected class HostConfig.DeployedApplication

extends java.lang.Object

This class represents the state of a deployed application, as well as the monitored resources.

Field Summary
`java.lang.String` | `name` Application context path.
`java.util.LinkedHashMap` | `redeployResources` Any modification of the specified (static) resources will cause a redeployment of the application.
`java.util.HashMap` | `reloadResources` Any modification of the specified (static) resources will cause a reload of the application.
`long` | `timestamp` Instant where the application was last put in service.

Constructor Summary
`HostConfig.DeployedApplication(java.lang.String name)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

  Application context path. The assertion is that (host.getChild(name) != null).

### redeployResources

    public java.util.LinkedHashMap redeployResources

  Any modification of the specified (static) resources will cause a redeployment of the application. If any of the specified resources is removed, the application will be undeployed. Typically, this will contain resources like the context.xml file, a compressed WAR path. The value is the last modification time.

### reloadResources

    public java.util.HashMap reloadResources

  Any modification of the specified (static) resources will cause a reload of the application. This will typically contain resources such as the web.xml of a webapp, but can be configured to contain additional descriptors. The value is the last modification time.

### timestamp

    public long timestamp

  Instant where the application was last put in service.

Constructor Detail

### HostConfig.DeployedApplication

    public HostConfig.DeployedApplication(java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.